# eric4.QScintilla.Lexers.LexerJavaScript

Module implementing a JavaScript lexer with some additional methods.

### Classes

LexerJavaScript | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerJavaScript

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerJavaScript, Lexer

### Methods

LexerJavaScript | Constructor
initProperties | Public slot to initialize the properties.

#### LexerJavaScript (Constructor)

LexerJavaScript(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerJavaScript.initProperties

initProperties()

Public slot to initialize the properties.

Up